Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	wxGTK gives you a single, easy-to-use API for writing GUI applications on multiple platforms.
Name:		wxGTK
Version:	2.8.11
Release:	1
License:	wxWindows License 
URL:		http://wxwidgets.org/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
#Source1:	wxWidgets-2.6.3-Patch-2.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Requires:	gtk2+ >= 2.12.0
BuildRequires:	cairo-devel
BuildRequires:	expat-devel libgnomeprintui-devel 
BuildRequires:	cppunit-devel

Obsoletes:	%{name}-demos < %{version}
Obsoletes:	%{name}-samples < %{version}

%define		minor	2.8

BuildRequires: libxcb-devel
BuildRequires: xcb-util-devel

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gst-plugins-base-devel
BuildRequires: gstreamer10-devel
BuildRequires: gtk2+-devel
BuildRequires: libgcc
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libtiff-devel
BuildRequires: libXinerama-devel
BuildRequires: libxml2-devel
BuildRequires: libXxf86vm-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: pango-devel
BuildRequires: SDL-devel
BuildRequires: zlib-devel

%description
wxWidgets is a free C++ library for cross-platform GUI development.
With wxWidgets, you can create applications for different GUIs
(GTK+, Motif/LessTif, MS Windows, Mac) from the same source code.

%package	devel
Summary:	Header files and development documentation for wxGTK
Group:		%{group}
Requires:	%{name} = %{version}-%{release}
Requires:	gtk2+-devel libGL-devel libGLU-devel

%description	devel
Header files for wxGTK, the GTK+ port of the wxWidgets library.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}
sed -i -e 's|/usr/lib\b|%{_libdir}|' wx-config.in configure


%build
rm -Rf $RPM_BUILD_ROOT
export GDK_USE_XFT=1
# this code dereferences type-punned pointers like there's no tomorrow.
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"


# --disable-optimise prevents our $RPM_OPT_FLAGS being overridden
# (see OPTIMISE in configure).
%configure \
  --with-opengl \
  --without-odbc \
  --with-sdl \
  --with-gnomeprint \
  --enable-shared \
  --enable-soname \
  --disable-optimise \
  --enable-debug_info \
  --enable-intl \
  --enable-unicode \
  --enable-no_deps \
  --disable-rpath \
  --enable-geometry \
  --enable-graphics_ctx \
  --enable-sound \
  --enable-mediactrl \
  --enable-display \
  --enable-timer \
  --enable-compat26 \
  --enable-image
	
make %{?_smp_mflags}
make %{?_smp_mflags} -C contrib/src/stc
make %{?_smp_mflags} -C contrib/src/ogl
make %{?_smp_mflags} -C contrib/src/gizmos
make %{?_smp_mflags} -C contrib/src/svg

# Why isn't this this part of the main build? Need to investigate.
make %{?_smp_mflags} -C locale allmo

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%makeinstall -C contrib/src/stc
%makeinstall -C contrib/src/ogl
%makeinstall -C contrib/src/gizmos
%makeinstall -C contrib/src/svg


# this ends up being a symlink into the buildroot directly -- 
# not what we want!
rm $RPM_BUILD_ROOT%{_bindir}/wx-config
ln -s %{_libdir}/wx/config/gtk2-unicode-release-2.8 $RPM_BUILD_ROOT%{_bindir}/wx-config

%find_lang wxstd
%find_lang wxmsw
cat wxmsw.lang >> wxstd.lang

%files -f wxstd.lang
%defattr(-,root,root,-)
%doc docs/changes.txt docs/gpl.txt docs/lgpl.txt docs/licence.txt
%doc docs/licendoc.txt docs/preamble.txt docs/readme.txt
%{_libdir}/libwx_baseu-*.so.*
%{_libdir}/libwx_baseu_net-*.so.*
%{_libdir}/libwx_baseu_xml-*.so.*
%{_libdir}/libwx_gtk2u_adv-*.so.*
%{_libdir}/libwx_gtk2u_aui-*.so.*
%{_libdir}/libwx_gtk2u_core-*.so.*
%{_libdir}/libwx_gtk2u_gizmos-*.so.*
%{_libdir}/libwx_gtk2u_gizmos_xrc*.so.*
%{_libdir}/libwx_gtk2u_html-*.so.*
#%{_libdir}/libwx_gtk2u_media-*.so.*
%{_libdir}/libwx_gtk2u_ogl-*.so.*
%{_libdir}/libwx_gtk2u_qa-*.so.*
%{_libdir}/libwx_gtk2u_richtext-*.so.*
%{_libdir}/libwx_gtk2u_stc-*.so.*
%{_libdir}/libwx_gtk2u_svg-*.so.*
%{_libdir}/libwx_gtk2u_xrc-*.so.*
%{_libdir}/libwx_gtk2u_gl-*.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/wx-config
%{_bindir}/wxrc*
%{_includedir}/wx-2.8
%{_libdir}/libwx_*.so
%dir %{_libdir}/wx
%dir %{_libdir}/wx/include
%{_libdir}/wx/include/gtk2*
%dir %{_libdir}/wx/config
%{_libdir}/wx/config/gtk2*
%{_datadir}/aclocal/*
%{_datadir}/bakefile/presets/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon May 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.8.11-1
- Version update
* Fri Aug 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.8.10-2
- rebuilt against libjpeg 7
* Sun Jun 21 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.8.10-1
- Version update
* Fri Sep 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.8.9-1
- Version update
* Sat Jun 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.8.8-1
- Version update
* Thu Jan 03 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.8.7-1
- Version update
* Sun Oct 14 2007 Christian Metzen <metzench@ccux-linux.de> 2.8.4-1
- Version update
* Thu Apr 27 2006 Christian Wasem <wasem@ccux-linux.de> 2.6.3-2
- rebuilt without unicode suport
* Wed Apr 26 2006 Christian Wasem <wasem@ccux-linux.de> 2.6.3-1
- removed demos and samples packages
* Mon Oct 03 2005 Christian Wasem <wasem@ccux-linux.de> 2.6.2-3
- removed contrib and contrib-devel package
* Wed Sep 28 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 2.6.2-2
- added large filesystem support
* Tue Sep 27 2005 Christian Metzen <metzench@ccux-linux.de> 2.6.2-1
- Version update, removed wrong obsoletes tag, gtk2 2.8.3
* Tue Jun 28 2005 Christian Wasem <wasem@ccux-linux.de> 2.6.1-3
- rebuild, moved openg-files to basepackage
- added some configure options
* Mon Jun 27 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 2.6.1-2
- rebuilt against libstdc++ 6 
* Sat Jun 25 2005 Christian Wasem <wasem@ccux-linux.de> 2.6.1-1
- update to Version 2.6.1-1
* Sun Feb 06 2005 Christian Wasem <wasem@ccux-linux.de> 2.5.3-1
- update to version 2.5.3-1, fixed symlink problem
* Tue Dec 28 2004 Christian Metzen <metzench@ccux-linux.de> 2.4.2-3
- Corrected wxWidgets Obsolete Tag
* Tue Nov 23 2004 Christian Wasem <wasem@ccux-linux.de> 2.4.2-1
- Initial Release
